# Class ContentAssistAction

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.action.AbstractAction
org.eclipse.jface.action.Action
org.eclipse.ui.texteditor.ResourceAction
org.eclipse.ui.texteditor.TextEditorAction
org.eclipse.ui.texteditor.ContentAssistAction

All Implemented Interfaces:
  `IAction, IUpdate`

public final class ContentAssistAction extends TextEditorAction
A content assist action which gets its target from its text editor.

The action is initially associated with a text editor via the constructor, but can subsequently be changed using `setEditor`.

If this class is used as is, it works by asking the text editor for its text operation target (using `getAdapter(ITextOperationTarget.class)` and runs the content assist operation on this target.

Since:
  2.0

## Field Summary

### Fields inherited from interface IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`ContentAssistAction(ResourceBundle bundle, String prefix, ITextEditor editor)`
Creates and initializes the action for the given text editor.

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
Runs the content assist operation on the editor's text operation target.
`void`
`setEditor(ITextEditor editor)`
Retargets this action to the given editor.
`void`
`update()`
The `ContentAssistAction` implementation of this `IUpdate` method discovers the operation through the current editor's `ITextOperationTarget` adapter, and sets the enabled state accordingly.

### Methods inherited from class TextEditorAction

`canModifyEditor, getTextEditor, validateEditorInputState`

### Methods inherited from class ResourceAction

`getString, initialize, setHelpContextId`

### Methods inherited from class Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ContentAssistAction

public ContentAssistAction(ResourceBundle bundle, String prefix, ITextEditor editor)
Creates and initializes the action for the given text editor. The action configures its visual representation from the given resource bundle. The action works by asking the text editor at the time for its text operation target adapter (using `getAdapter(ITextOperationTarget.class)`. The action runs the content assist operation on this target.

Parameters:
  `bundle` - the resource bundle
  `prefix` - a prefix to be prepended to the various resource keys (described in `ResourceAction` constructor), or `null` if none
  `editor` - the text editor
See Also:
  - `ResourceAction(ResourceBundle, String)`

## Method Details

### run

public void run()
Runs the content assist operation on the editor's text operation target.

Specified by:
  `run` in interface `IAction`
Overrides:
  `run` in class `Action`
See Also:
  - How radio buttons are handled
  - How check boxes are handled

### update

public void update()
The `ContentAssistAction` implementation of this `IUpdate` method discovers the operation through the current editor's `ITextOperationTarget` adapter, and sets the enabled state accordingly.

Specified by:
  `update` in interface `IUpdate`
Overrides:
  `update` in class `TextEditorAction`

### setEditor

public void setEditor(ITextEditor editor)
Description copied from class: `TextEditorAction`
Retargets this action to the given editor.

Overrides:
  `setEditor` in class `TextEditorAction`
Parameters:
  `editor` - the new editor, or `null` if none
See Also:
  - `TextEditorAction.setEditor(ITextEditor)`